org.apache.solr.search

## Class DocSetBuilder

- java.lang.Object
- - org.apache.solr.search.DocSetBuilder

-     public final class DocSetBuilder
      extends Object

  Adapted from DocIdSetBuilder to build DocSets
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocSetBuilder(int maxDoc, long costEst)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(DocIdSetIterator iter, int base)`
    `static void` | `add(FixedBitSet bitSet, DocIdSetIterator iter, int base)`
    `void` | `add(int doc)`
    `int` | `add(TermsEnum te, int base)` Returns the number of terms visited
    `DocSet` | `build(FixedBitSet filter)`
    `DocSet` | `buildUniqueInOrder(FixedBitSet filter)` Only use this if you know there were no duplicates and that docs were collected in-order!
    `void` | `grow(int numDocs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocSetBuilder

          public DocSetBuilder(int maxDoc,
                               long costEst)

  - ### Method Detail

    - #### add

          public void add(DocIdSetIterator iter,
                          int base)
                   throws IOException

      Throws:
        `IOException`

    - #### add

          public static void add(FixedBitSet bitSet,
                                 DocIdSetIterator iter,
                                 int base)
                          throws IOException

      Throws:
        `IOException`

    - #### add

          public int add(TermsEnum te,
                         int base)
                  throws IOException

      Returns the number of terms visited
      Throws:
        `IOException`

    - #### grow

          public void grow(int numDocs)

    - #### add

          public void add(int doc)

    - #### build

          public DocSet build(FixedBitSet filter)

    - #### buildUniqueInOrder

          public DocSet buildUniqueInOrder(FixedBitSet filter)

      Only use this if you know there were no duplicates and that docs were collected in-order!

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.